Get Slots
curl --request GET \
--url https://api.topsort.com/public/v1/media-service/slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderBy": [
{}
]
}
'import requests
url = "https://api.topsort.com/public/v1/media-service/slots"
payload = { "orderBy": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderBy: [{}]})
};
fetch('https://api.topsort.com/public/v1/media-service/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/media-service/slots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'orderBy' => [
[
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/media-service/slots"
payload := strings.NewReader("{\n \"orderBy\": [\n {}\n ]\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/media-service/slots")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orderBy\": [\n {}\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/media-service/slots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orderBy\": [\n {}\n ]\n}"
response = http.request(request)
puts response.read_body{
"hasMore": true,
"slots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"position": "landing",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"desktop": {
"height": 20,
"width": 20
},
"mobile": {
"height": 10,
"width": 10
}
},
"page": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Homepage",
"url": "https://app.example.com/main",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>"
},
"isActive": true
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Media API
Get Slots
Get slots for a given marketplace.
GET
/
public
/
v1
/
media-service
/
slots
Get Slots
curl --request GET \
--url https://api.topsort.com/public/v1/media-service/slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderBy": [
{}
]
}
'import requests
url = "https://api.topsort.com/public/v1/media-service/slots"
payload = { "orderBy": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderBy: [{}]})
};
fetch('https://api.topsort.com/public/v1/media-service/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/media-service/slots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'orderBy' => [
[
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/media-service/slots"
payload := strings.NewReader("{\n \"orderBy\": [\n {}\n ]\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/media-service/slots")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orderBy\": [\n {}\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/media-service/slots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orderBy\": [\n {}\n ]\n}"
response = http.request(request)
puts response.read_body{
"hasMore": true,
"slots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"position": "landing",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"desktop": {
"height": 20,
"width": 20
},
"mobile": {
"height": 10,
"width": 10
}
},
"page": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Homepage",
"url": "https://app.example.com/main",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>"
},
"isActive": true
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Parâmetros de consulta
Corpo
application/json
Resposta
Successful Response
Esta página foi útil?